<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="cityservicese-2025-12-31.xsd#cityservicese_Reserves" xlink:label="cityservicese_Reserves" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="cityservicese-2025-12-31.xsd#cityservicese_CreditLossExpensesOnFinancialAssets" xlink:label="cityservicese_CreditLossExpensesOnFinancialAssets" />
    <loc xlink:type="locator" xlink:href="cityservicese-2025-12-31.xsd#cityservicese_GainOnSaleOfInvestments" xlink:label="cityservicese_GainOnSaleOfInvestments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="cityservicese-2025-12-31.xsd#cityservicese_AcquisitionOfInvestmentsInSubsidiariesNetOfCashAcquiredInTheGroup" xlink:label="cityservicese_AcquisitionOfInvestmentsInSubsidiariesNetOfCashAcquiredInTheGroup" />
    <loc xlink:type="locator" xlink:href="cityservicese-2025-12-31.xsd#cityservicese_DisposalOfInvestmentsInSubsidiariesNetOfCashDisposedAndAssociates" xlink:label="cityservicese_DisposalOfInvestmentsInSubsidiariesNetOfCashDisposedAndAssociates" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <labelArc xlink:type="arc" xlink:from="cityservicese_Reserves" xlink:to="label_cityservicese_cityserviceseReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_cityservicese_ifrs-fullGrossProfit_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="cityservicese_CreditLossExpensesOnFinancialAssets" xlink:to="label_cityservicese_cityserviceseCreditLossExpensesOnFinancialAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="cityservicese_GainOnSaleOfInvestments" xlink:to="label_cityservicese_cityserviceseGainOnSaleOfInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="label_cityservicese_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_cityservicese_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_cityservicese_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="cityservicese_AcquisitionOfInvestmentsInSubsidiariesNetOfCashAcquiredInTheGroup" xlink:to="label_cityservicese_cityserviceseAcquisitionOfInvestmentsInSubsidiariesNetOfCashAcquiredInTheGroup_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="cityservicese_DisposalOfInvestmentsInSubsidiariesNetOfCashDisposedAndAssociates" xlink:to="label_cityservicese_cityserviceseDisposalOfInvestmentsInSubsidiariesNetOfCashDisposedAndAssociates_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_cityservicese_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_cityservicese_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_cityservicese_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_cityservicese_cityserviceseReserves_Standard" id="cityservicese_cityserviceseReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reserves</label>
    <label xlink:label="label_cityservicese_ifrs-fullGrossProfit_Total" id="cityservicese_ifrs-fullGrossProfit_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Gross profit</label>
    <label xlink:label="label_cityservicese_cityserviceseCreditLossExpensesOnFinancialAssets_Standard" id="cityservicese_cityserviceseCreditLossExpensesOnFinancialAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Expected credit losses on financial assets</label>
    <label xlink:label="label_cityservicese_cityserviceseGainOnSaleOfInvestments_Standard" id="cityservicese_cityserviceseGainOnSaleOfInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gain on sale of investments</label>
    <label xlink:label="label_cityservicese_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" id="cityservicese_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operations before changes in working capital</label>
    <label xlink:label="label_cityservicese_ifrs-fullCashFlowsFromUsedInOperations_Total" id="cityservicese_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operations</label>
    <label xlink:label="label_cityservicese_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="cityservicese_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows from operating activities</label>
    <label xlink:label="label_cityservicese_cityserviceseAcquisitionOfInvestmentsInSubsidiariesNetOfCashAcquiredInTheGroup_Standard" id="cityservicese_cityserviceseAcquisitionOfInvestmentsInSubsidiariesNetOfCashAcquiredInTheGroup_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">(Acquisition) of investments in subsidiaries (net of cash acquired in the Group)</label>
    <label xlink:label="label_cityservicese_cityserviceseDisposalOfInvestmentsInSubsidiariesNetOfCashDisposedAndAssociates_Standard" id="cityservicese_cityserviceseDisposalOfInvestmentsInSubsidiariesNetOfCashDisposedAndAssociates_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disposal of investments in subsidiaries (net of cash disposed) and associates</label>
    <label xlink:label="label_cityservicese_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="cityservicese_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows from (to) investing activities</label>
    <label xlink:label="label_cityservicese_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="cityservicese_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows from (to) financing activities</label>
    <label xlink:label="label_cityservicese_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="cityservicese_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net (decrease) increase in cash and cash equivalents</label>
  </labelLink>
</linkbase>